Members
Create or Update Member Pass
Allocates a Member Pass for an eligible design, or updates the existing pass to that design. Wallet assets are provisioned later via the public share URL.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
member_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
pass_design_id*string
Pass design id (pdsn_…) to issue or switch to.
Response Body
application/json
application/json
curl -X POST "https://api.members.dev/portal/v1/members/string/pass" \ -H "Content-Type: application/json" \ -d '{ "pass_design_id": "string" }'{
"id": "string",
"organization_id": "string",
"pass_design_id": "string",
"wallet_serial_number": "string",
"google_wallet_url": "string",
"apple_wallet_pass": "string",
"share_url": "string",
"provisioned_at": {},
"revoked_at": {},
"created_at": null,
"updated_at": null
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}